rest-api manual
Reference for the Asfaload REST API.
Registration
POST /v1/register_repo— register a new project with the signing serverPOST /v1/update_signers— propose an update to a project’s signers file
Signatures
POST /v1/signatures— submit signatures for a fileGET /v1/signatures/{file_path}— query signature collection status for a fileGET /v1/pending_signatures— list files awaiting the caller’s signature
Files
GET /v1/files/{file_path}— fetch raw file content from the repositoryGET /v1/files-to-sign/{file_path}— fetch file contents needed for signing
Signers
GET /v1/get_signers/{file_path}— get the signers configuration for a pathGET /v1/get_signers_chain/{artifact_path}— get the signers history chain for a signed artifact
Revocation
POST /v1/revoke— revoke a previously signed file
Assets
POST /v1/assets— register assets from a GitHub release or checksums files